header: sys-epoll.h
macros: []
types:
  - type_name: struct_epoll_event
  - type_name: struct_epoll_data
  - type_name: sigset_t
  - type_name: struct_timespec
enums: []
objects: []
functions:
  - name: epoll_create
    standards: 
      - Linux
    return_type: int
    arguments:
      - type: int
  - name: epoll_create1
    standards: 
      - Linux
    return_type: int
    arguments:
      - type: int
  - name: epoll_ctl
    standards: 
      - Linux
    return_type: int
    arguments:
      - type: int
      - type: int
      - type: int
      - type: struct epoll_event *
  - name: epoll_wait
    standards: 
      - Linux
    return_type: int
    arguments:
      - type: int
      - type: struct epoll_event *
      - type: int
      - type: int
  - name: epoll_pwait
    standards: 
      - Linux
    return_type: int
    arguments:
      - type: int
      - type: struct epoll_event *
      - type: int
      - type: int
      - type: const sigset_t *
  - name: epoll_pwait2
    standards: 
      - Linux
    return_type: int
    arguments:
      - type: int
      - type: struct epoll_event *
      - type: int
      - type: const struct timespec *
      - type: const sigset_t *
